<template>
	<view style="background:#F3F1EF; height:100vh;display: flex;flex-direction: column;">
		<scroll-view scroll-y="true" style="height: 1px;flex: 1;box-sizing: border-box;">
			<view class="hotel-order">
				<view class="o-head">
					<view class="o-head-title">成田国际花园酒店</view>
					<view class="o-timer">
						<view class="row-sb-n">
							<view class="row items-center">
								<view class="time-item">{{getDate(dayObj.start)?getDate(dayObj.start):''}} <text>今天</text></view>
								<view class="time-itemZhi"><text>-</text></view>
								<view class="time-item">{{getDate(dayObj.end)}}</view>
								<view class="timeline"></view>
								<view class="time-split">
									<view>{{dayObj.day?dayObj.day:''}}晚</view>
								</view>
							</view>
							<view class="o-detail" @click="goUrl">详情</view>
						</view>
						<view class="room-dateil row items-center">
							<view class="room-name">{{HotelInfo.HotelName?HotelInfo.HotelName:''}}</view>
							<view class="roomline"></view>
							<view class="room-remark">
								{{RoomInfo.BreakfastTypeStr}} 
								<!-- | {{RoomInfo.BedTypeStr}} | 
								{{RoomInfo.RoomSize}}㎡ |  
								{{RoomInfo.HasWindowStr}} -->
							</view>
							<view class="roomline"></view>
							<view class="roomPrice">
								1500/人
							</view>
						</view>
					</view>
					
					
				</view>
				<view class="form">
					<view class="row-sb-n visaProductTextBox">
						<view class="row col" style="width:1px;flex: 1;">
							<view class="visaProduct_rColor visaProductTextL">*</view>
							<view class="visaProductTitle">订房信息</view>
							<view v-if="tipsText" class="row visaProduct_rColor visaProductTextR items-center">
								<view>{{tipsText}}</view>
								<img style="width: 19rpx;height: 19rpx;margin-left: 5rpx;" src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Upload/Goods/638751271514841634.png"/>
							</view>
						</view>
						<view class="row-sbas-n items-center">
							<view class="addPnum addPnumL" @click="orderMsg.RoomNumber>1?editNum(1):''">
								<image v-if="orderMsg.RoomNumber>1" style="width: 27rpx;height: 27rpx;display: block;" 
								src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Upload/Goods/638751245939665786.png" />
								<image v-else style="width: 27rpx;height: 27rpx;display: block;" 
								src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Upload/Goods/638755711218891689.png" />
							</view>
							<view class="col row items-center textCenter visaProductTetx">
								{{orderMsg.RoomNumber}}
								间
							</view>
							<view class="addPnum addPnumR" @click="editNum()">
								<image style="width: 27rpx;height: 27rpx;display: block;" 
								src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Upload/Goods/638751245974558349.png" />
							</view>
						</view>
					</view>
					<view>
						<view class="form-items">
						<view class="label">住客姓名</view>
							<view class="val">
								<input type="text" v-model="orderMsg.Consignee" placeholder="若是多人,输入代表人员即可" />
							</view>
						</view>
						<view class="form-items">
							<view class="label">联系电话</view>
							<view class="form-itemsL row"
							@click="showCountry=true">
								<text>+86</text>
								<!--'arrow-up':'arrow-down'-->
								<u-icon name="arrow-down" color="#080A09" size="20" />
							</view>
							<view class="val">
								<input type="text" v-model="orderMsg.ConsigneeMobile" placeholder="输入电话号码" />
							</view>
						</view>
						<view class="form-items">
							<view class="label">预计到店</view>
							<view class="val flex form-itemsTime" @click="showtime=true">
								<view style="flex: 1;" class="f14">{{orderMsg.ArrivalTime}}  房间整晚保留</view>
								<!--<u-icon name="arrow" color="#D9D9D9" size="20" />--> 
							</view>
						</view>
						<view class="form-items">
							<view class="label">E-mail</view>
							<view class="val">
								<input type="text" v-model="orderMsg.Email" placeholder="用于接收信息" />
							</view>
						</view>	
					</view>
				</view>
				<view class="CouponBox">
					<view class="big-title">
						<text>优惠券</text>
					</view>
					<view style="margin-top: 20px;display: flex; align-items: center;">
						<view style="font-size: 12px;width:1px;flex:1">请选择优惠券</view>
						<view style="display: flex;align-items: center;">
							<text style="color:#F20707;font-size: 12px;" @click="showCouponHandler">
								<text style="flex: 1;" v-if="useCouponIds == 0 &&couponList.length>0">{{couponList.length}}张可用优惠券</text>
								<text class="content" style="color:grey" v-else-if="couponList.length==0">暂无优惠券</text>
								<text class="content" v-else :style="{ color: mainColor }">已优惠 {{currentCoupon.discountMoney}} 元</text>
								<!-- <u-icon name="ellipsis" size="36" v-if="couponList.length > 0"></u-icon> -->
							</text>
							<u-icon name="arrow" :size="32" color="#111" v-if="couponList.length>0"></u-icon>
						</view>
					</view>
				</view>
				<view class="PriceBox">
					<view class="big-title">
						<text>订单金额</text>
					</view>
					<view class="form" style="margin:20rpx 0 15rpx 0;padding: 0;">
						<view class="form-items PriceZaiXian">
							<view class="label">
								在线支付
							</view>
							<view class="val f14 regular" style="text-align: right;">
								<text style="margin-right: 30rpx;">{{orderMsg.RoomNumber}}人</text>
								<text style="margin-right: 30rpx;">{{orderMsg.RoomNumber}}间房</text>
								<text class="red">￥{{orderMsg.Final_Price}}</text>
							</view>
						</view>
						<view class="form-items PriceMinXi" style="border-bottom: none;">
							<view class="label">
								明细
							</view>
						</view>
						<view class="flex f12 grey" style="margin-bottom:40rpx;" v-for="(item,index) in priceList" :key="index">
							<view style="flex:1">
								<text style="margin-right: 30rpx;">{{item.DateStr}}</text>
								<text v-if="index!=0">{{item.BreakfastTypeStr}}</text>
							</view>
							<view style="text-align: right;" v-if="index!=priceList.length-1">{{orderMsg.RoomNumber}}间 × ¥{{$utils.getretailer()==true? item.B2BPrice:item.SalesPrice}}</view>
						</view >
						<view class="PriceTole row-sb-n">
							<view>合计</view>	
							<view>
								¥100
							</view>
						</view>
					</view>
					
				</view>
				<view class="buyTispBox">
					<view class="big-title">
						<text class="">购买说明</text>
					</view>
					<view class="rule">
						<text class="king">此房间
							<template v-if="RoomInfo.IsCancel==0">支持免费取消，</template>
							<template v-if="RoomInfo.IsCancel==1">不可取消，</template>
						</text>
						<text>订单需要等待酒店或供应商确认后生效，订单确认结果我们将会通知推送到您的微信，请您在下单时同意结果订阅，以便您能正常收到消息。</text>
					</view>
				</view>
				<view style="height: 27rpx"></view>
				<!--
				<view style="padding:50rpx 40rpx">
					<view class="big-title">
						<text>重要提醒</text>
					</view>
					<view class="sheshi" v-for="(item,index) in HotelInfo.Booking">
						<view class="she-title">{{item.Name}}</view>
						<view class="she-content">
							<view>{{item.Content}}</view>
						</view>
					</view>
				</view>-->
			</view>
		</scroll-view>
		<view class="opera-box">
			<view class="box flex">
				<view class="price">
					<text class="f11">￥</text>
					<text>{{orderMsg.Final_Price}}</text>
				</view>
				<view class="sum-detail">共计 {{orderMsg.RoomNumber}}间房</view>
				<u-button :ripple="true" :hair-line="false" :custom-style="btnStyle" @click="buyRoom">立即购买</u-button>
			</view>
		</view>
		<u-picker v-model="showtime" mode="time" @confirm='confirm' :params="params" :default-time='orderMsg.ArrivalTime'></u-picker>
		<u-toast ref="uToast" />
		<u-picker mode="selector" v-model="showCountry" :default-selector="[0]" 
			:range="countrys" @confirm='(e)=>{changeDown(e,CountryType)}'
		 	range-key="label" @input="showCountry=false"></u-picker>
		<coupon v-if="couponList.length > 0 && showCoupon" 
		:price="price" :list="couponList" 
		:current="useCouponIds" 
		@close="closeCouponHandler" 
		:current-price="realCurrentPriceInfo" 
		:order="orderMsg"></coupon>
	</view>
</template>

<script>
import coupon from '@/components/coupon/index';
	export default{
		components: {
			coupon
		},
		data() {
			return {
				order: {
					roomCount:1,
					userName:''
				},
				btnStyle:{
					height:"80rpx",
					lineHeight:"80rpx",
					borderRadius:"16rpx",
					background:"#111",
					color:"#FFF",
					fontSize:"28rpx",
					fontWeight:"600",
					width:'193rpx',
				},
				RoomInfo:{},
				dayObj:{},
				HotelInfo:{},
				orderMsg:{
					ProductId:0, //房间id
					StartDate:'',
					EndDate:'',
					RoomNumber:1,
					Unit_Price:'',
					Final_Price:'',
					Consignee:'', //联系人
					ConsigneeMobile:'', //；联系电话
					ArrivalTime:'14:00' //预计到达时间
				},
				showtime:false,
				params: {
					year: false,
					month: false,
					day: false,
					hour: true,
					minute: true,
					second: false
				},
				priceList:[], //每日价格
				rMsg:{
					HotelId:0,
					productId:0,
					StartDate:'',
					EndDate:''
				},
				tipsText:'',
				showCountry: false,
				countrys:[],
				couponList: [],
				showCoupon: false,
				price: 0,
				useCouponIds: [],
				realCurrentPriceInfo: {},
				currentCoupon: {
					discountMoney: 0
				},
				showPz:false,
				pzCoupon:null,
			}
		},
		created() {
		
		},
		onLoad(options) {
			if(options.RoomInfo){
				this.RoomInfo = JSON.parse(options.RoomInfo)
			}
			if(options.HotelInfo){
				this.HotelInfo = JSON.parse(options.HotelInfo)
			}
			if(options.dayObj){
				this.dayObj = JSON.parse(options.dayObj)
			}
			this.rMsg.HotelId = this.HotelInfo.HotelId;
			this.rMsg.productId = this.RoomInfo.ID;
			this.rMsg.StartDate = this.dayObj.start;
			this.rMsg.EndDate = this.dayObj.end;
			this.orderMsg.ProductId = this.RoomInfo.ID;
			this.orderMsg.Unit_Price = this.RoomInfo.B2BPrice;
			this.orderMsg.StartDate = this.dayObj.start;
			this.orderMsg.EndDate = this.dayObj.end;
			uni.setNavigationBarTitle({
				title: this.HotelInfo.HotelName
			});
			this.CalTotalPrice();
			this.getRoomPrice();
			this.GetCountryInfo()
		},
		methods:{
			goUrl(){
				uni.navigateTo({
					url: '/pages/hotel/orderInfor'
				})
			},
			showCouponHandler() {
				this.showCoupon = this.couponList.length > 0;
			},
			closeCouponHandler(e) {
				if (e != -1) {
					this.useCouponIds = e;
					//叠加使用优惠券
						let TotalDiscountAmount = 0
						this.couponList.forEach(x=>{
							let findIndex = this.useCouponIds.findIndex(y=>x.id==y)
							if(findIndex!=-1){
								let discountMoney = 0
								if(x.couponsType==1){
									discountMoney = x.denomination	
								}else{
									discountMoney = (parseFloat(this.price) * (1 - parseFloat(x.denomination / 10)))
									.toFixed(2)
								}
								TotalDiscountAmount += discountMoney
							}
						})
						if(TotalDiscountAmount)this.currentCoupon.discountMoney = TotalDiscountAmount
						else this.currentCoupon.discountMoney = 0
				}else{
					this.currentCoupon.discountMoney = 0
					this.useCouponIds = []
				}
				this.showCoupon = false;
			},
			getUserCouponList() {
				let couponParams = {
					"lineId": '', //线路ID
					"lineteamId": 0, //系列ID
					"userId": this.customer.accountId, 
					"CouponsUseScope": 9, //特定使用平台(当地游=8   跟团游=2 小包团=10)
					"isExpansion": 0, //是否启动膨胀金1-是
					"CustomerType": 0, //客户类型 0-同行，1-直客
					"TCID": '',
				}
				this.apipost(
					"coupon_post_GetUserCanUseCouponList", couponParams,
					(res) => {
						if (res.resultCode == 1) {
							console.log("coupon_post_GetUserCanUseCouponList_res", res);
							this.couponList = res.data
							this.calcPzCouponHandler()
						}
					},
					(err) => {
						console.log("coupon_post_GetUserCanUseCouponList_err", err);
					}
				);
			},
			usePzCouponHandler(){
				this.showPz = false
				this.closeCouponHandler([this.pzCoupon.id])
				this.pzCoupon = null
			},
			calcPzCouponHandler(){
				this.couponList.forEach((x)=>{
					if(x.expansionModel.denomination>0){
						if(this.pzCoupon && this.pzCoupon.expansionModel.denomination<x.expansionModel.denomination)
							this.pzCoupon=x
						else
							this.pzCoupon=x
						
						x.realDenomination = x.denomination
						x.denomination =x.expansionModel.denomination
					}
				})
				this.showPz = this.pzCoupon?true:false
			},
			GetCountryInfo(){
				this.apipost("GetCountryInfo_post", {}, (r) => {
					for (let i = 0; i < r.data.phoneCountList.length; i++) {
						let Count = r.data.phoneCountList[i]
						let obj = {
							...Count,
							value: Count.ID,
							label: Count.Name,
						}
						this.countrys.push(obj)
					}
				})
			},
			changeDown(e){
				let i = [e]
				// 	this.customer.count = this.countrys[i].ID
				// 	this.optionsTitle[0] = this.countrys[i].Name
				// 	this.customer.PhoneCountryStr = '+'+this.countrys[i].PhoneCode
			},
			editNum(type) {
				if (type == 1) {
					if(this.orderMsg.RoomNumber>1)this.orderMsg.RoomNumber--;	
				}else {
					this.orderMsg.RoomNumber++;	
				}	
				this.getRoomNumber()
			},
			getDate(date){
				if(date){
					let arr = date.split('-');
					return arr[1]+'月'+arr[2]+'日'
				}
			},
			getWeek(date) {
				 var weekArray = new Array("日", "一", "二", "三", "四", "五", "六");
				 var week = weekArray[new Date(date).getDay()];//注意此处必须是先new一个Date
				 return '周'+week;
			},
			//选择时间
			confirm(val){
				this.orderMsg.ArrivalTime=val.hour+':'+val.minute;
			},
			//改变房间数量
			getRoomNumber(val){
				this.orderMsg.RoomNumber = val.value;
				this.CalTotalPrice();
			},
			//获取房型报价
			getRoomPrice(){
				this.request2({
						url: '/api/Hotel/GetHotelRoomPrice',
						data: this.rMsg
					},
					res => {
						if (res.resultCode == 1) {
							this.priceList = res.data;
							this.CalTotalPrice();
						}
					}
				);
			},
			//计算总价
			CalTotalPrice(){
				this.orderMsg.Final_Price=0;
				this.priceList.forEach(x=>{
					console.log("xx",x);
					if(this.$utils.getretailer()){
						console.log("1",x.B2BPrice)
						this.orderMsg.Final_Price += parseInt(this.orderMsg.RoomNumber)*x.B2BPrice;
					}else{
						console.log("2",x.SalesPrice)
						this.orderMsg.Final_Price += parseInt(this.orderMsg.RoomNumber)*x.SalesPrice;
					}
				})
				console.log(this.orderMsg.Final_Price,'this.orderMsg.Final_Price');
			},
			//立即购买
			buyRoom(){
				let that = this;
				if (that.orderMsg.Consignee == '') {
					this.$refs.uToast.show({
						title: '请输入住客姓名！',
						type: 'warning'
					});
					return;
				}
				if (that.orderMsg.ConsigneeMobile == '') {
					this.$refs.uToast.show({
						title: '请输入联系电话！',
						type: 'warning'
					});
					return;
				}
				var tempObj = uni.getStorageSync('basedata').mall.wechatmessage;	
				var tmplIds = [];
				if(tempObj&&tempObj.length>0){
					tempObj.forEach(x=>{
						if(x.Name=='下单成功提醒'||x.Name=='订单取消提醒'||x.Name=='订单确认通知'){
							tmplIds.push(x.MessageId)
						}
					})
				}
				uni.requestSubscribeMessage({
					tmplIds: tmplIds,
					complete(res) {
						that.request2({
								url: '/api/Hotel/SetAppletHotelOrder',
								data: that.orderMsg
							},
							res => {
								if (res.resultCode == 1) {
									that.queren(res.data)
								}
							}
						);
					}
				})
			},
			queren(OrderId){
				let url='/api/WeChatPay/GetDmcPayInfo'
				let GoodsName = this.RoomInfo.RoomName;
					GoodsName = GoodsName.slice(0, 10)
				this.request2({
						url: url,
						data: {
							OrderId:OrderId,
							GoodsName:GoodsName,
							OrderPayType:1,
							OpenId:uni.getStorageSync('mall_UserInfo').OpenId,
						}
					},
					res => {
						this.orderInfo = JSON.parse(res.data);
						this.Pay()
					}
				);
			},
			Pay(){
				let that=this;
				uni.requestPayment({
					provider: 'wxpay',
					timeStamp: this.orderInfo.timeStamp,
					nonceStr: this.orderInfo.nonceStr,
					package: this.orderInfo.package,
					signType: this.orderInfo.signType,
					paySign: this.orderInfo.sign,
					success: function(res) {
						uni.showToast({
							title: "支付成功"
						})
						setTimeout(()=>{
							uni.redirectTo({
							  url: '/pages/jiuzhai/paysuccess?PreferPrice='+that.orderMsg.Final_Price
							});
						}, 100 )
					},
					fail: function(err) {
						uni.showToast({
							title: "支付失败"
						})
						setTimeout(()=>{
							uni.redirectTo({
							    url: '/pages/jiuzhai/allorderList'
							});
						}, 100 )
					}
				});
			},
		}
	}
</script>

<style>
@import url("@/asset/css/flex.css");
	.hotel-order{
		color: #111111;
	}
	.opera-box{
		background-color: #FFF;
		padding: 20rpx 45rpx 40rpx 45rpx;
	/* 	position: fixed;
		bottom: 0;
		left: 0;
		right: 0; */
		z-index: 5;
	}
	.opera-box .box{
		height: 100rpx;
		background: #FFFFFF;
		box-shadow: 0px 10rpx 30rpx 0px rgba(36, 36, 36, 0.2);
		border-radius: 16rpx;
		display: flex;
		align-items: center;
		padding: 0 10rpx 0 36rpx;
	}
	.opera-box .box .price{
		font-size: 40rpx;
		font-weight: 500;
		color: #D91818;
		margin-right: 20rpx;
	}
	.opera-box .box .sum-detail{
		font-size: 24rpx;
		flex: 1;
		font-weight: 500;
		color: #6E6E6E;
	}
	.hotel-order .red{
		color:#D91818 !important
	}
	.hotel-order .grey{
		color:#6E6E6E !important
	}
	.hotel-order .form{
		margin-top: 60rpx;
		padding:0 19rpx 44rpx 19rpx;
		background: #fff;
		border-radius: 18rpx;
		margin: 28rpx 31rpx;
	}
	.hotel-order .form .form-items{
		display: flex;
		align-items: center;
		padding: 22rpx 15rpx;
		font-size: 28px;
		font-weight: 500;
		color: #303133;
	}
	.hotel-order .form .form-items:first-child{
		padding: 10rpx 15rpx 20rpx 15rpx;
	}
	.hotel-order .form .form-items .label{
		width: 112rpx;
		font-size: 28rpx;
		font-weight: 500;
		margin-right: 57rpx;
		flex-shrink: 0;
	}
	.hotel-order .form .form-items .val{
		flex:1;
	}
	.hotel-order .sheshi{
		margin-top: 50rpx;
	}
	.hotel-order .sheshi .she-title{
		font-size: 28rpx;
		font-weight: 800;
	}
	.hotel-order .sheshi .she-content{
		margin-top: 24rpx;
	}
	.hotel-order .sheshi .she-content text{
		
		font-size: 24rpx;
		font-weight: 500;
		color: #4A4A4A;
		line-height: 40rpx;
		margin-right: 24rpx;
	}
	.hotel-order .form .form-items .val input{
		border:none;
		padding: 0;
		margin: 0;
		outline: none;
		height: 38rpx;
		line-height: 38rpx;
		font-size: 28rpx;
		font-weight: 500;
		width: 100%;
	}
	
	.hotel-order .king {
		color: #DFBE6E !important;
	}
	.hotel-order .f12 {
		font-size:24rpx !important;
	}
	.f11 {
		font-size:22rpx !important;
	}
	.hotel-order .f14 {
		font-size:28rpx !important;
	}
	.hotel-order .regular {
		font-weight: 500 !important;
	}
	.hotel-order .flex{
		display: flex;
		align-items: center;
	}
	.hotel-order .empty-block{
		height: 20rpx;
		background: #ECF1F4;
	}
	.hotel-order .flex-wrap{
		flex-wrap: wrap;
	}
	.hotel-order .o-head{
		padding: 20rpx 31rpx 46rpx 31rpx;
		background: #FFFFFF;
		box-shadow: 0px 2rpx 15rpx 0px rgba(76, 76, 76, 0.13);
		border-radius: 0px 0px 40rpx 40rpx;
	}
	.hotel-order .o-head .o-timer{
		background: #ECF1F4;
		border-radius: 18rpx;
		padding: 30rpx 30rpx;
	}
	.hotel-order .o-head .o-timer .time-item{
		font-weight: 800;
		font-size: 32rpx;
		color: #080A09;
	}
	.hotel-order .o-head .o-timer .time-item text{
		margin-left: 15rpx;
	}
	.hotel-order .o-head .o-timer .time-itemZhi{
		font-size: 32rpx;
		color: #080A09;
		padding: 0 10rpx;
	}
	.hotel-order .o-head .o-timer .timeline{
		width: 1rpx;
		height: 24rpx;
		background: #BCBCBC;
		background: #BCBCBC;
		margin-left: 18rpx;
		margin-right: 18rpx;
	}
	.hotel-order .o-head .o-timer .time-split{
		font-weight: 800;
		font-size: 32rpx;
		text-align: center;
		
	}
	.hotel-order .o-head .room-name{
		font-weight: 500;
		font-size: 28rpx;
		color: #1D1D20;
	}
	.hotel-order .o-head .room-remark{
		font-weight: 500;
		font-size: 28rpx;
		color: #1D1D20
	}
	.hotel-order .o-head .rule{
		font-size: 22rpx;
		font-weight: 500;
		color: #6E6E6E;
		margin-top: 18rpx;
	}
	.hotel-order .big-title {
		position: relative;
	}
	
	.hotel-order .big-title::before {
		// display: block;
		// width: 71rpx;
		// height: 12rpx;
		// background: #DFBE6E;
		// border-radius: 4rpx;
		// content: ' ';
	
		// position: absolute;
		// left: 0;
		// bottom: 6rpx;
		// z-index: 1;
	}
	.hotel-order .big-title text {
		font-size: 34rpx;
		font-weight: bold;
		color: #1F1F1F;
		position: relative;
		z-index: 2;
	}
	.o-head-title{
		font-weight: bold;
		font-size: 32rpx;
		color: #080A09;
		margin-bottom: 20rpx;
	}
	.o-detail{
		font-weight: 800;
		font-size: 32rpx;
		color: #B99846;
	}
	.room-dateil{
		margin-top: 3rpx;
	}
	.roomline{
		width: 1rpx;
		height: 24rpx;
		background: #BCBCBC;
		margin-left: 14rpx;
		margin-right: 14rpx;
	}
	.roomPrice{
		font-weight: 500;
		font-size: 28rpx;
		color: #1D1D20;
	}
	.visaProductTextBox{
		padding: 29rpx 0 21rpx 0;
		font-family: PingFang SC;
	}
	.visaProductTitle{
		font-weight: 800;
		font-size: 32rpx;
	}
	.visaProductTextL{
		font-size: 35rpx;
		font-weight: bold;
	}
	.visaProductTextR{
		font-size: 20rpx;
		margin-left: 24rpx;
	}
	.visaProduct_rColor{
		color: #FF3166;
	}
	.addPnum{
		padding: 9rpx 10rpx;
	}
	.addPnumL{
		margin-right: 17rpx;
	}
	.addPnumR{
		margin-left: 17rpx;
	}
	.visaProductTetx{
		font-weight: bold;
		font-size: 28rpx;
		color: #080A09;
	}
	.form-itemsTime{
		font-weight: bold;
		font-size: 28rpx;
		color: #080A09;
	}
	.form-itemsL text{
		font-weight: bold;
		font-size: 28rpx;
		color: #B99846;
		margin-right: 26rpx;
	}
	.CouponBox{
		margin: 0 31rpx 32rpx 31rpx;
		padding: 18rpx 34rpx 35rpx 34rpx;
		background: #fff;
		border-radius: 18rpx;
	}
	.PriceBox{
		margin: 0 31rpx 32rpx 31rpx;
		padding: 18rpx 34rpx 35rpx 34rpx;
		background: #fff;
		border-radius: 18rpx;
	}
	.PriceZaiXian{
		border-bottom: 1rpx solid #F0F0F0 ;
	}
	.PriceZaiXian .label{
		font-weight: bold;
	}
	.hotel-order .form .form-items.PriceZaiXian{
		padding: 0;
		padding-top: 15rpx;
		padding-bottom: 20rpx;
	}
	.hotel-order .form .form-items.PriceMinXi{
		padding: 0;
		padding-top: 20rpx;
		padding-bottom: 30rpx;
	}
	.PriceTole{
		color: #BFB9B9;
	}
	.buyTispBox{
		border-radius: 18rpx;
		background: #fff;
		margin: 0 31rpx 27rpx 31rpx;
		padding: 37rpx 18rpx 47rpx 18rpx;
	}
	.buyTispBox .big-title{
		font-weight: 800;
		font-size: 32rpx;
		color: #080A09;
		margin-bottom: 37rpx;
	}
	.buyTispBox .rule{
		font-weight: 500;
		font-size: 24rpx;
		color: #1D1D20;
		line-height: 42rpx;
	}
</style>
